unit UpdateServer_TLB;

{ This file contains pascal declarations imported from a type library.
  This file will be written during each import or refresh of the type
  library editor.  Changes to this file will be discarded during the
  refresh process. }

{ UpdateServer Library }
{ Version 1.0 }

interface

uses Windows, ActiveX, Classes, Graphics, OleCtrls, StdVCL;

const
  LIBID_UpdateServer: TGUID = '{F14C0380-D2B2-11D5-B8EE-00E07D82CA60}';

const

{ Component class GUIDs }
  Class_qdUpdateServer: TGUID = '{F14C0382-D2B2-11D5-B8EE-00E07D82CA60}';

type

{ Forward declarations: Interfaces }
  IqdUpdateServer = interface;
  IqdUpdateServerDisp = dispinterface;

{ Forward declarations: CoClasses }
  qdUpdateServer = IqdUpdateServer;

{ Dispatch interface for TqdUpdateServer Object }

  IqdUpdateServer = interface(IDispatch)
    ['{F14C0381-D2B2-11D5-B8EE-00E07D82CA60}']
    function Get_UpdateFileName: WideString; safecall;
    procedure Set_UpdateFileName(const Value: WideString); safecall;
    function Get_AliasPath: WideString; safecall;
    procedure Set_AliasPath(const Value: WideString); safecall;
    function Get_NewAliasPath: WideString; safecall;
    procedure Set_NewAliasPath(const Value: WideString); safecall;
    function Execute: Integer; safecall;
    procedure AddPassword(pw: WideString); safecall;
    property UpdateFileName: WideString read Get_UpdateFileName write Set_UpdateFileName;
    property AliasPath: WideString read Get_AliasPath write Set_AliasPath;
    property NewAliasPath: WideString read Get_NewAliasPath write Set_NewAliasPath;
  end;

{ DispInterface declaration for Dual Interface IqdUpdateServer }

  IqdUpdateServerDisp = dispinterface
    ['{F14C0381-D2B2-11D5-B8EE-00E07D82CA60}']
    property UpdateFileName: WideString dispid 1;
    property AliasPath: WideString dispid 4;
    property NewAliasPath: WideString dispid 5;
    function Execute: Integer; dispid 2;
    procedure AddPassword(pw: WideString); dispid 3;
  end;

{ TqdUpdateServerObject }

  CoqdUpdateServer = class
    class function Create: IqdUpdateServer;
    class function CreateRemote(const MachineName: string): IqdUpdateServer;
  end;



implementation

uses ComObj;

class function CoqdUpdateServer.Create: IqdUpdateServer;
begin
  Result := CreateComObject(Class_qdUpdateServer) as IqdUpdateServer;
end;

class function CoqdUpdateServer.CreateRemote(const MachineName: string): IqdUpdateServer;
begin
  Result := CreateRemoteComObject(MachineName, Class_qdUpdateServer) as IqdUpdateServer;
end;


end.
